#ifndef CUSTOMCOMMANDLINKBUTTON_H
#define CUSTOMCOMMANDLINKBUTTON_H

#include <QWidget>
#include <QLabel>

namespace Ui {
class CustomCommandLinkButton;
}

class CustomCommandLinkButton : public QWidget
{
    Q_OBJECT

public:
    explicit CustomCommandLinkButton(QWidget *parent = nullptr);
    ~CustomCommandLinkButton();

    void setMainText(const QString& text);
    void setDescriptionText(const QString& text);

private:
    void setBackground();

signals:
    void clicked();

protected:
    void mouseMoveEvent(QMouseEvent* event) override;
    void mousePressEvent(QMouseEvent* event) override;
    void mouseReleaseEvent(QMouseEvent* event) override;

private:
    Ui::CustomCommandLinkButton *ui;
    QLabel* m_background;
};

#endif // CUSTOMCOMMANDLINKBUTTON_H
